/**
 * @file   veil_version.h
 * \code
 *     Author:       Marc Munro
 *     Copyright (c) 2005, 2006 Marc Munro
 *     License:      BSD
 * $Id: veil_version.h.in,v 1.5 2006/11/01 00:08:55 bloodnok Exp $
 * \endcode
 * @brief  
 * Provides version information for veil
 * 
 */

#define VEIL_VERSION "0.9.4"
#define VEIL_VERSION_INFO "Alpha"

// Everything below here is automatically generated by configure.

#define PG_MAJOR_VERSION 8
#define PG_MINOR_VERSION 2

// Define the SPI_cursor_open API for different versions of Postgres
// Else-clause version is for 7.4
#if PG_MAJOR_VERSION == 8
    #define SPI_CURSOR_OPEN(name, plan, values, nulls, ro) \
        SPI_cursor_open(name, plan, values, nulls, ro)
#else
    #define SPI_CURSOR_OPEN(name,plan,values,nulls,ro) \
        SPI_cursor_open(name, plan, values, nulls)
#endif

#define PG_VERSION_GE(major,minor) \
    (PG_MAJOR_VERSION > major) || \
    ((PG_MAJOR_VERSION == major) && (PG_MINOR_VERSION >= minor))
